# Upload Material Document

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/material/upload-material-document`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="183.1015625">Name</th><th width="102.0625">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>material_id<mark style="color:red;">*</mark></td><td>long</td><td>Material ID</td></tr><tr><td>file_type<mark style="color:red;">*</mark></td><td>Integer</td><td><p>File Type </p><p><code>5-PI/CI/PO contract</code> </p><p><code>15-Store and backend screenshot</code> </p><p><code>26-Payment contract agreement</code></p><p><code>99-Other</code></p><p>Tips:</p><p>If material business type is <code>10-goods trade</code></p><p><code>11-service trade</code> ,please select <code>5-PI/CI/PO contract</code> </p><p><br>If material business type is <code>20-platform</code></p><p><code>21-platform independent</code>,please select <code>15-Store and backend screenshot</code></p><p></p><p>If material transaction type is <code>111-payment</code>,please select <code>26-Payment contract agreement</code></p></td></tr><tr><td>file_content<mark style="color:red;">*</mark></td><td>string</td><td><p>File Content </p><p>Base64 encode string </p><p>Max size: 1M</p></td></tr><tr><td>file_name<mark style="color:red;">*</mark></td><td>string</td><td><p>File Name </p><p>1、PI/CI/PO Contract</p><p>Must include basic info of both parties, products, unit price, quantity, currency, advance payment (if any), total order amount, etc.</p><p>Supported formats: PNG/JPEG/JPG/PDF/ZIP/RAR, max 10MB per file, up to 10 files</p><p>2、Store Or Backend Screenshot File</p><p>Please upload e-commerce platform store homepage screenshot, recommended to include store name, registration/opening date, business category, and platform certification mark</p><p>Supported formats: PNG/JPEG/JPG, max 10MB per file, up to 10 files</p><p>3、Payment Contract Agreement</p><p>Please upload the service contract/agreement document that meets the payment recipient's requirements.</p><p>Supported formats: PNG/JPEG/JPG/PDF/XLS/XLSX/ZIP/RAR, max 10MB per file, up to 10 files</p></td></tr><tr><td>file_desc</td><td>string</td><td>File Description</td></tr></tbody></table>

{% hint style="info" %}
\[material\_id + file\_name]  is unique key
{% endhint %}

### &#x20;<a href="#example" id="example"></a>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{},
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name         | Type | Description |
| ------------ | ---- | ----------- |
| material\_id | long | Material ID |

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/material/upload-material-document' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/material/upload-material-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
